package imt.concours;

import java.util.Optional;

import imt.ingredients.Plat;
import imt.personnes.Chef;
import lombok.Data;

@Data
public class Proposition {
	private final Plat platPropose;
	private final Chef chef;
	private Optional<Integer> note;

	public Proposition(Plat platPropose, Chef chef) {
		this.platPropose = platPropose;
		this.chef = chef;
		this.note = Optional.empty();
	}
}
