package imt.ingredients;

public class Ingredient {
    private int idIngredient;
    private String nomIngredient;
    private int quantité;
    private Consigne[] consignes;

    public Ingredient(int idIngredient, String nomIngredient) {
        this.idIngredient = idIngredient;
        this.nomIngredient = nomIngredient;
        this.quantité = 0;
        this.consignes = null;
    }

    public int getIdIngredient() {
        return idIngredient;
    }

    public void setIdIngredient(int idIngredient) {
        this.idIngredient = idIngredient;
    }

    public String getNomIngredient() {
        return nomIngredient;
    }

    public void setNomIngredient(String nomIngredient) {
        this.nomIngredient = nomIngredient;
    }

    public int getQuantité() {
        return quantité;
    }

    public void setQuantité(int quantité) {
        this.quantité = quantité;
    }

    public Consigne[] getConsignes() {
        return consignes;
    }

    public void setConsignes(Consigne[] consignes) {
        this.consignes = consignes;
    }

    public String toString() {
        String strConsigne = "";
        for (int i = 0; i < consignes.length; i++) {
            strConsigne += consignes[i].toString()+", ";
        }
        return "Ingredient [idIngredient=" + idIngredient + ", nomIngredient=" + nomIngredient + ", Consignes=" + strConsigne + "]";
    }
}
